<mamecheat version="1">

  <cheat desc="Infinite Play Time">
    <script state="run">
      <action>mtbios.pw@004036=1770</action>
      <action>mtbios.pb@004056=01</action> <!-- 1st = Time, 2nd = Credit -->
    </script>
  </cheat>

  <cheat desc="Unlock Stage Select Mode"> <comment>Works only in Normal Mode</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@00C5B6</action>
    </script>
    <script state="run">
      <action>maincpu.mb@00C5B6=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@00C5B6=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage - Normal Mode"> <comment>Enable on the character selection screen then turn it OFF after you've started the selected stage</comment>
    <parameter min="1" max="7" step="1"/>
    <script state="run">
      <action>maincpu.pb@FE07E7=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage - Duel Mode"> <comment>Enable on the character selection screen then turn it OFF after you've started the selected stage</comment>
    <parameter min="1" max="15" step="1"/>
    <script state="run">
      <action>maincpu.pb@FE07CB=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Continue Credits">
    <script state="run">
      <action>maincpu.pb@FE07E8=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>You die though when you fall off a high platform</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@001775</action>
      <action>temp1 =maincpu.mw@0019EA</action>
      <action>temp2 =maincpu.mb@009003</action>
    </script>
    <script state="run">
      <action>maincpu.mb@001775=0C</action>
      <action>maincpu.mw@0019EA=4E75</action> <!-- 1st = Normal Attack, 2nd = Magic Ball -->
      <action>maincpu.mb@009003=46</action> <!-- Final Boss's Magic -->
    </script>
    <script state="off">
      <action>maincpu.mb@001775=temp0 </action>
      <action>maincpu.mw@0019EA=temp1 </action>
      <action>maincpu.mb@009003=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere">
    <script state="on">
      <action>temp0 =maincpu.mw@00166A</action>
    </script>
    <script state="run">
      <action>maincpu.mw@00166A=6002</action> <!-- This ROM cheat was made by nolberto82 -->
    </script>
    <script state="off">
      <action>maincpu.mw@00166A=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Enemies Never Attack">
    <script state="run">
      <action>maincpu.pb@FE0889=0F</action>
      <action>maincpu.pb@FE092D=0F</action>
    </script>
  </cheat>

  <cheat desc="1 Hit to Kill Enemy">
    <script state="run">
      <action>maincpu.pw@FE0986=0000</action>
      <action>maincpu.pw@FE0A2A=0000</action>
      <action>maincpu.pw@FE0ACE=0000</action>
      <action>maincpu.pw@FE0B72=0000</action>
      <action>maincpu.pw@FE0C16=0000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FE0880=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FE083E=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magic PL1"> <comment>Make sure you select the character you have chosen or will choose or the game may crash!</comment>
    <parameter>
      <item value="0x05">Barbarian</item>
      <item value="0x08">Amazonian</item>
      <item value="0x04">Dwarf</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FE0882=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@FE0772=00|(maincpu.pb@FE0772 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FE0924=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FE08E2=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magic PL2"> <comment>Make sure you select the character you have chosen or will choose or the game may crash!</comment>
    <parameter>
      <item value="0x05">Barbarian</item>
      <item value="0x08">Amazonian</item>
      <item value="0x04">Dwarf</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FE0926=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@FE0778=00|(maincpu.pb@FE0778 BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
